Loading...
Searching...
No Matches
Dune::AdditiveAdder< S, BlockVector< T, A > > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::AdditiveAdder< S, BlockVector< T, A > >:

## Public Types

typedef A::size_type | size_type
typedef std::decay_t< decltype(Impl::asVector(std::declval< T >()))>::field_type | field_type

## Public Member Functions

| AdditiveAdder (BlockVector< T, A > &v, BlockVector< T, A > &x, OverlappingAssigner< S > &assigner, const field_type &relax_)
void | operator() (const size_type &domain)
void | axpy ()

## Static Public Attributes

static constexpr size_t | n = std::decay_t<decltype(Impl::asVector(std::declval<T>()))>::dimension

## Member Typedef Documentation

## field_type

template<typename S, typename T, typename A>

typedef std::decay_t<decltype(Impl::asVector(std::declval<T>()))>::field_type Dune::AdditiveAdder< S, BlockVector< T, A > >::field_type

## size_type

template<typename S, typename T, typename A>

typedef A::size_type Dune::AdditiveAdder< S, BlockVector< T, A > >::size_type

## Member Data Documentation

## n

template<typename S, typename T, typename A>

size_t Dune::AdditiveAdder< S, BlockVector< T, A > >::n = std::decay_t<decltype(Impl::asVector(std::declval<T>()))>::dimension

static constexpr

The documentation for this struct was generated from the following file:

- overlappingschwarz.hh